import 'Address.dart';
import 'AddressWithGeoLocation.dart';
import 'GeoCoordinates.dart';

abstract class IGeoLocationService {
  static const GEO_TIMEOUT_SECONDS = Duration(seconds: 5);

  Future<GeoCoordinates?> getGeoCoordinates({double accuracy = 5, int retries = 5});
  Future<AddressWithGeoLocation?> getAddressWithGeoLocation();
  Future<GeoCoordinates?> getGeoCoordinatesFromAddress(Address address);
  Future<Address?> getAddressFromGeoCoordinates(GeoCoordinates location);
  Future<Address?> getAddress({
    required double longitude,
    required double latitude,
    dynamic options,
  });
}
